#ifndef _OF_AUDIO
#define _OF_AUDIO


// to do:
// fft -- coming very soon 


#include "ofMain.h"
#include "ofSimpleApp.h"

void ofAudioStreamSetup(int nOutputChannels, int nInputChannels, ofSimpleApp * OFSA);
void ofAudioStreamSetup(int nOutputChannels, int nInputChannels, ofSimpleApp * OFSA, int sampleRate, int bufferSize, int nBuffers);
void ofAudioStreamStop();
void ofAudioStreamStart();
void ofAudioStreamEnd();
void ofAudioStreamListDevices();

#endif 
